summaryrefslogtreecommitdiffstats
path: root/network/whalebird
diff options
context:
space:
mode:
Diffstat (limited to 'network/whalebird')
-rw-r--r--network/whalebird/README4
-rw-r--r--network/whalebird/doinst.sh9
-rw-r--r--network/whalebird/slack-desc19
-rw-r--r--network/whalebird/whalebird.SlackBuild91
-rw-r--r--network/whalebird/whalebird.info10
5 files changed, 133 insertions, 0 deletions
diff --git a/network/whalebird/README b/network/whalebird/README
new file mode 100644
index 0000000000..f138e940fa
--- /dev/null
+++ b/network/whalebird/README
@@ -0,0 +1,4 @@
+Whalebird is an Electron based Mastodon, Pleroma and Misskey client.
+
+This SlackBuild repackages the upstream rpm package. This rpm is only
+available for 64-bit systems.
diff --git a/network/whalebird/doinst.sh b/network/whalebird/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/whalebird/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/whalebird/slack-desc b/network/whalebird/slack-desc
new file mode 100644
index 0000000000..aabc50859c
--- /dev/null
+++ b/network/whalebird/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+whalebird: whalebird (Mastondon, Pleroma and Misskey client)
+whalebird:
+whalebird: Whalebird is an Electron based Mastodon, Pleroma and Misskey client.
+whalebird:
+whalebird: Homepage https://whalebird.social
+whalebird:
+whalebird:
+whalebird:
+whalebird:
+whalebird:
+whalebird:
diff --git a/network/whalebird/whalebird.SlackBuild b/network/whalebird/whalebird.SlackBuild
new file mode 100644
index 0000000000..823853468d
--- /dev/null
+++ b/network/whalebird/whalebird.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for whalebird
+
+# Copyright 2024- Antonio Leal, Porto Salvo, Oeiras, Portugal
+# Copyright 2022-2024 Isaac Yu <isaacyu@protonmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=whalebird
+VERSION=${VERSION:-6.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+SRCNAM=Whalebird
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported for $PRGNAM-$VERSION." >&2
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+bsdtar -xvf $CWD/${SRCNAM}-${VERSION}-linux-${ARCH}.rpm
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Fix sbopkglint gripes - icon resolution directory should be 310x150 rather than 310x310
+mv $PKG/usr/share/icons/hicolor/310x310 $PKG/usr/share/icons/hicolor/310x150
+
+# Remove extraneous /usr/lib directory (it only contains /usr/lib/.build-id)
+rm -r $PKG/usr/lib/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $PKG/opt/Whalebird/LICENSE.electron.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/whalebird/whalebird.info b/network/whalebird/whalebird.info
new file mode 100644
index 0000000000..05a139fba2
--- /dev/null
+++ b/network/whalebird/whalebird.info
@@ -0,0 +1,10 @@
+PRGNAM="whalebird"
+VERSION="6.1.1"
+HOMEPAGE="https://whalebird.social"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/h3poteto/whalebird-desktop/releases/download/v6.1.1/Whalebird-6.1.1-linux-x86_64.rpm"
+MD5SUM_x86_64="149467963a0415ea0ea5f8e2afdd7938"
+REQUIRES=""
+MAINTAINER="Antonio Leal"
+EMAIL="antonioleal@yahoo.com"